Page MenuHomePhabricator

Generate instance list of active database hosts to be monitored from prometheus
Closed, ResolvedPublic

Description

Currently, this is manually maintained on puppet yaml on role/prometheus/files/*, it should be gathered on each mariadb host or instance from exported resources, or querying puppetdb.

Mediawiki configuration cannot be used because there are many databases that can be depooled, or not part of core (mw) databases. However, we should minimize duplication of listings: puppet (hiera), puppet-prometheus-role, dblists, mediawiki-config, tendril, etc

Probably this should live on zarcillo, without being a failure point.

Event Timeline

jcrespo created this task.Sep 8 2016, 12:38 PM
Dzahn triaged this task as Medium priority.Sep 22 2016, 2:37 AM

Update from the monitoring meeting, this can be implemented via puppetdb queries, additionally there's now classes to generate Prometheus config files e.g. with all hosts having a specific class and parameters applied. prometheus::class_config

1978Gage2001 moved this task from Triage to In progress on the DBA board.Dec 11 2017, 9:45 AM
1978Gage2001 moved this task from Triage to In progress on the DBA board.
Marostegui moved this task from In progress to Triage on the DBA board.Dec 11 2017, 10:58 AM
jcrespo moved this task from Triage to Backlog on the DBA board.Oct 29 2018, 8:11 AM

I think this should be moved to zarcillo mariadb metadata database, and centralize there the active database control (substituting tendril, puppet, per-section lists and prometheus mysql exported list).

jcrespo renamed this task from Create a script to regenerate prometheus mysqld exporter listing that works with puppetdb to Generate instance list of active database hosts to be monitored from prometheus.Jun 5 2019, 10:03 AM
jcrespo updated the task description. (Show Details)
jcrespo added a subscriber: Marostegui.
fgiunchedi closed this task as Resolved.Aug 19 2019, 2:03 PM
fgiunchedi claimed this task.

This happened in parent task!